import { html, css, LitElement } from "lit";
import { property, customElement } from "lit/decorators.js";

@customElement("arx-phora-forum-category")
export class PhoraForumCategory extends LitElement {
  @property({ type: String }) override title = "";
  @property({ type: String }) override id = "";

  static override styles = [
    css`
      .forum-category {
        background: oklch(100% 0 0);
        border-radius: 0.5rem;
        box-shadow: var(--shadow-xl);
        margin-block-end: 1.5rem;
      }

      .category-header {
        background: var(--primary);
        color: oklch(100% 0 0);
        padding: 1rem 1.5rem;
        border-radius: 0.5rem 0.5rem 0 0;
        font-weight: 500;
        display: flex;
        justify-content: space-between;
        align-items: center;
      }
    `,
  ];

  override render() {
    return html`
      <div class="forum-category">
        <div class="category-header">
          <span>${this.title}</span>
          <arx-phora-button href="/phora/new-topic/${this.id}">New Topic</phora-button>
        </div>
        <slot>
          <div style="padding: 1rem 1.5rem">No topics...</div>
        </slot>
      </div>
    `;
  }
}
