import { contextBridge, ipcRenderer } from "electron";
import { electronAPI } from "@electron-toolkit/preload";

if (process.contextIsolated) {
  try {
    contextBridge.exposeInMainWorld("electron", electronAPI);
    contextBridge.exposeInMainWorld("relay", {
      writeSeed: (seed: string) => ipcRenderer.invoke("relay:writeSeed", seed),
      start: (encryptionKey: string) =>
        ipcRenderer.invoke("relay:start", encryptionKey),
      stop: () => ipcRenderer.invoke("relay:stop"),
      getStatus: () => ipcRenderer.invoke("relay:status"),
      getLogs: () => ipcRenderer.invoke("relay:logs"),
    });
  } catch (error) {
    console.error(error);
  }
} else {
  // @ts-ignore (define in dts)
  window.electron = electronAPI;
}
